Re: installation issue (321 Views)
Reply
Advisor
sreedevireddy
Posts: 31
Registered: ‎11-25-2013
Message 1 of 12 (488 Views)

installation issue

Server Details:
Windows server 2008 R2(64-bit )
Installed softwares:
1)Oracle 11g client(64-bit)
2)Asset Manager 9.4

When we are trying to connect database through AM,I am getting the error which is attached.

I am taking AM 5.22 database backup and put into tns.ora file of Oracle 11g.I am able to connect this database through SQL Plus,but not able to connect this database through AM 9.4.

Please use plain text.
Frequent Advisor
SGChandraKasan
Posts: 66
Registered: ‎08-10-2011
Message 2 of 12 (452 Views)

Re: installation issue

Hi Sreedevi,

 

I believe Asset manager does not work with the 64-bit oracle client libraries. Please have the oracle 32-bit client library and check.

 

Thanks

Sakthi

Please use plain text.
HP Expert
Priya_B
Posts: 534
Registered: ‎10-25-2012
Message 3 of 12 (396 Views)

Re: installation issue

Since Asset Manager Windows client is a 32 bit application, you should have an Oracle 32 bit client installed as well. 

 

64 bit can be used for a Web client as it supports the same. 

 

 

HP Support - If this post or any post helps you resolve an issue, please be sure to mark it as an acceptable solution.
Like a post, Please click Kudos to show appreciation !
Please use plain text.
Advisor
sreedevireddy
Posts: 31
Registered: ‎11-25-2013
Message 4 of 12 (387 Views)

Re: installation issue

Initially we installed Oracle-32 bit,at that time we have faced below issue.
TNS has not pigged and where not able to connect AM database in oracle.After then we have installed 64 bit where it started pinging to TNS.
So please suggest ASAP as i am in middle of implementation.
Please use plain text.
HP Expert
Priya_B
Posts: 534
Registered: ‎10-25-2012
Message 5 of 12 (385 Views)

Re: installation issue

We need not install 32 bit Oracle, Oracle can be 64 bit just a 32 bit client is required. 

 

Do you get issues only when installing the client ?

HP Support - If this post or any post helps you resolve an issue, please be sure to mark it as an acceptable solution.
Like a post, Please click Kudos to show appreciation !
Please use plain text.
Advisor
sreedevireddy
Posts: 31
Registered: ‎11-25-2013
Message 6 of 12 (383 Views)

Re: installation issue

There is no problem in installation of oracle client.After installation we are trying to connect AM database at that time we are facing the issue.(not able to open SQL database)
Please use plain text.
Honored Contributor
Mark Cullen_1
Posts: 1,219
Registered: ‎03-17-2010
Message 7 of 12 (365 Views)

Re: installation issue

Place the following in your amdb.ini (C:\ProgramData\HP\AssetManager\conf)

 

[DLL]
oci=oraclient11.dll

 

Please use plain text.
Advisor
sreedevireddy
Posts: 31
Registered: ‎11-25-2013
Message 8 of 12 (356 Views)

Re: installation issue

already we tried this solution also,but not able
Please use plain text.
Honored Contributor
Mark Cullen_1
Posts: 1,219
Registered: ‎03-17-2010
Message 9 of 12 (351 Views)

Re: installation issue

Then as others have stated, you can install Oracle 64-bit but you must use Oracle Client 32-bit so install this after.

Please use plain text.
Advisor
sreedevireddy
Posts: 31
Registered: ‎11-25-2013
Message 10 of 12 (341 Views)

Re: installation issue

Now I am installed oracle 32 bit successfully and able to connect AM database through oracle,but not able to connect AM 9.4 application.I am getting the error.Please find the attached one.

Please use plain text.
Honored Contributor
Mark Cullen_1
Posts: 1,219
Registered: ‎03-17-2010
Message 11 of 12 (330 Views)

Re: installation issue

Your original thread stated AM 5.22 which cannot be accessed using the AM 9.40 Client application.  Only the AM 9.40 Designer application is backward compatible.  You need to upgrade your AM 5.22 database to AM 9.40 before you can use the AM 9.40 Client application.

Please use plain text.
HP Expert
Priya_B
Posts: 534
Registered: ‎10-25-2012
Message 12 of 12 (321 Views)

Re: installation issue

Hello Sreedevi, 

 

 

This quick technical article will explain why you cannot connect 5.22 database on 9.40 client. 

 

http://support.openview.hp.com/selfsolve/document/KM00483587

 

 

HP Support - If this post or any post helps you resolve an issue, please be sure to mark it as an acceptable solution.
Like a post, Please click Kudos to show appreciation !
Please use plain text.
The opinions expressed above are the personal opinions of the authors, not of HP. By using this site, you accept the Terms of Use and Rules of Participation